RubyGems Navigation menu

timecop 0.2.0

A gem providing simple ways to temporarily override Time.now, Date.today, and DateTime.now. It provides "time travel" capabilities, making it dead simple to write test time-dependent code.

Gemfile
          gem 'timecop', '~> 0.2.0'
  
  
  
  
  
  
  

install
          gem install timecop -v 0.2.0
  
  
  
  
  
  
  

Total downloads 4,202,049

For this version 1,343

Show all versions (37 total)

Required Ruby Version: None

Links:

Versions:

  1. 0.7.1 - December 30, 2013 (15 KB)
  2. 0.7.0 - November 29, 2013 (15.5 KB)
  3. 0.6.3 - August 4, 2013 (15.5 KB)
  4. 0.6.2.2 - July 20, 2013 (15 KB)
  5. 0.6.1 - March 11, 2013 (14 KB)
Show all versions (37 total)

Runtime Dependencies:

Development Dependencies: